package com.jianshui.common.core.domain.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jianshui.common.annotation.Excel;

import java.util.Date;
import java.util.List;

/**
 * 销方信息对象 companyservice
 *
 * @author jianshui
 * @date 2021-12-21
 */
public class Companyservice {
    private static final long serialVersionUID = 1L;

    /**
     * 企业编号
     */
    private Long companyid;

    /**
     * 企业税号
     */
    @Excel(name = "企业税号")
    private String sellertax;

    /**
     * 企业名称
     */
    @Excel(name = "企业名称")
    private String sellername;

    /**
     * 注册地址
     */
    private String selleraddress;

    /**
     * 联系电话
     */
    private String sellerphone;

    /**
     * 开户行
     */
    private String sellerbank;

    /**
     * 开户行账号
     */
    private String selleraccount;

    /**
     * 企业联系电话
     */
    @Excel(name = "企业联系电话")
    private String phone;

    /**
     * 状态
     */
    private String status;

    /**
     * 加密secret
     */
    private String secret;

    /**
     * 认证Identity
     */
    private String identity;

    /** 开票员 */
    // @Excel(name = "开票员")
    // private String clerk;

    /** 金税盘编码 */
    // private String goldenTaxDiskNo;

    /** 复核员 */
    // @Excel(name = "复核员")
    // private String checker;

    /** 收款人 */
    // @Excel(name = "收款人")
    // private String payer;

    /**
     * 回写地址
     */
    private String rebackurl;

    /**
     * 回写方式
     */
    @Excel(name = "回写方式")
    private Long rebackType;

    /** 分机号 */
    // @Excel(name = "分机号")
    // private String fjh;
    //
    // /** 终端号 */
    // @Excel(name = "终端号")
    // private String terminalNumber;

    /**
     * 创建用户
     */
    private String createUser;

    /**
     * 创建部门
     */
    private String createDept;


    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    // 发票订单号详情
    private List<CompanyserviceDetail> companyserviceDetailList;

    public Long getCompanyid() {
        return companyid;
    }

    public void setCompanyid(Long companyid) {
        this.companyid = companyid;
    }

    public String getSellertax() {
        return sellertax;
    }

    public void setSellertax(String sellertax) {
        this.sellertax = sellertax;
    }

    public String getSellername() {
        return sellername;
    }

    public void setSellername(String sellername) {
        this.sellername = sellername;
    }

    public String getSelleraddress() {
        return selleraddress;
    }

    public void setSelleraddress(String selleraddress) {
        this.selleraddress = selleraddress;
    }

    public String getSellerphone() {
        return sellerphone;
    }

    public void setSellerphone(String sellerphone) {
        this.sellerphone = sellerphone;
    }

    public String getSellerbank() {
        return sellerbank;
    }

    public void setSellerbank(String sellerbank) {
        this.sellerbank = sellerbank;
    }

    public String getSelleraccount() {
        return selleraccount;
    }

    public void setSelleraccount(String selleraccount) {
        this.selleraccount = selleraccount;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getSecret() {
        return secret;
    }

    public void setSecret(String secret) {
        this.secret = secret;
    }

    public String getIdentity() {
        return identity;
    }

    public void setIdentity(String identity) {
        this.identity = identity;
    }

    public List<CompanyserviceDetail> getCompanyserviceDetailList() {
        return this.companyserviceDetailList;
    }

    public void setCompanyserviceDetailList(List<CompanyserviceDetail> detailList) {
        this.companyserviceDetailList = detailList;
    }

    // public String getClerk() {
    //     return clerk;
    // }

    // public void setClerk(String clerk) {
    //     this.clerk = clerk;
    // }

    // public String getGoldenTaxDiskNo() {
    //     return goldenTaxDiskNo;
    // }

    // public void setGoldenTaxDiskNo(String goldenTaxDiskNo) {
    //     this.goldenTaxDiskNo = goldenTaxDiskNo;
    // }

    // public String getChecker() {
    //     return checker;
    // }

    // public void setChecker(String checker) {
    //     this.checker = checker;
    // }

    // public String getPayer() {
    //     return payer;
    // }

    // public void setPayer(String payer) {
    //     this.payer = payer;
    // }

    public String getRebackurl() {
        return rebackurl;
    }

    public void setRebackurl(String rebackurl) {
        this.rebackurl = rebackurl;
    }

    public Long getRebackType() {
        return rebackType;
    }

    public void setRebackType(Long rebackType) {
        this.rebackType = rebackType;
    }

    // public String getFjh() {
    //     return fjh;
    // }

    // public void setFjh(String fjh) {
    //     this.fjh = fjh;
    // }

    // public String getTerminalNumber() {
    //     return terminalNumber;
    // }

    // public void setTerminalNumber(String terminalNumber) {
    //     this.terminalNumber = terminalNumber;
    // }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getCreateDept() {
        return createDept;
    }

    public void setCreateDept(String createDept) {
        this.createDept = createDept;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("companyid", getCompanyid())
                .append("sellertax", getSellertax())
                .append("sellername", getSellername())
                .append("selleraddress", getSelleraddress())
                .append("sellerphone", getSellerphone())
                .append("sellerbank", getSellerbank())
                .append("selleraccount", getSelleraccount())
                .append("phone", getPhone())
                .append("status", getStatus())
                .append("secret", getSecret())
                .append("identity", getIdentity())
                // .append("clerk", getClerk())
                // .append("goldenTaxDiskNo", getGoldenTaxDiskNo())
                // .append("checker", getChecker())
                // .append("payer", getPayer())
                .append("rebackurl", getRebackurl())
                .append("rebackType", getRebackType())
                // .append("fjh", getFjh())
                // .append("terminalNumber", getTerminalNumber())
                .append("createUser", getCreateUser())
                .append("createDept", getCreateDept())
                .toString();
    }
}
